Get profile
Returns the complete profile record for a single candidate, including:
- All schema fields (
first_name,email, custom__fields, etc.) - Academic history (
diplomas) and professional history (contracts) - Tags
- Roles (one per class, tracking current lifecycle state)
- Policy agreements
updated_at— changes on any part of the profileupdated_data_at— changes to schema fields or roles only
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/profiles/profiles/{profile_id}
curl https://school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011 \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385bdd4976a7719120108e9",
"first_name": "Sophie",
"last_name": "Martin",
"email": "sophie.martin@example.com",
"roles": [
{
"id": "6385bdd4976a7719120108ed",
"last_updated_at": 1710892800,
"withdrawn": false,
"withdrew_at": null,
"withdrawn_reasons": [],
"withdrawn_detail": null,
"state": "applicant",
"substate": "submitted",
"potential": "high",
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"campus_id": null,
"owner_id": "6385baa4976a771912000511"
}
],
"created_at": 1700000000,
"updated_at": 1710892800,
"updated_data_at": 1710892800,
"source_category": "Online",
"source_method": "Form",
"photo": {},
"original_photo": {},
"contracts": [],
"diplomas": [
{
"id": "6385bdd4976a7719120108f4",
"organization_id": "6385baab976a7719120007da",
"organization_name": "London School of Economics",
"degree": "BSc Economics",
"field_of_study": "Economics",
"start_date": {
"month": 9,
"year": 2017
},
"end_date": {
"month": 6,
"year": 2020
}
}
],
"tags": [
"MBA-2025",
"Scholarship-Candidate"
],
"activated_at": 1700000000,
"last_seen": 1710892800,
"middle_name": null,
"__secondary_email": null,
"__date_of_birth": "1995-03-14",
"__nationality": "French",
"__gender": "Female",
"__phone": "+44 7700 900123",
"__address": {
"line_1": "12 Baker Street",
"city": "London",
"post_code": "W1U 3BH",
"country": "United Kingdom"
},
"policies": {
"6385baa1976a77191200025f": {
"id": "65fda66eaf11c3786dad4b8d",
"accepted": true,
"source_of_consent": "Online form",
"date_of_consent": 1700000000000,
"options": {
"email": true,
"phone": false,
"sms": false,
"mail": false
},
"tc_string": null
}
}
}